﻿using PoJun.MongoDB.Repository;
using PoJun.MongoDB.Repository.IEntity;
using System;
using System.Collections.Generic;
using System.Text;

namespace ASHermed.SinoInterface.Repository.MongoDB
{
    /// <summary>
    /// 【XXX日志库】基础仓储(MongoDB)
    /// </summary>
    /// <typeparam name="TEntity"></typeparam>
    /// <typeparam name="TKey"></typeparam>
    public class BaseRepositoryToASHermed_SinoInterface_Logs<TEntity, TKey> : MongoRepositoryAsync<TEntity, TKey>, IBaseRepositoryToASHermed_SinoInterface_Logs<TEntity, TKey> where TEntity : class, IEntity<TKey>, new()
    {
        /// <summary>
        /// 默认构造函数
        /// </summary>
        public BaseRepositoryToASHermed_SinoInterface_Logs() : base(DBConfig.GetInstance().MongoDB.ASHermed_SinoInterface_Logs, nameof(MongoDBConfig.ASHermed_SinoInterface_Logs))
        {

        }
    }
}
